com.example.infiniteLoop.parkingo.checkout Class Reference
Inheritance diagram for com.example.infiniteLoop.parkingo.checkout:

## Public Member Functions

void | onBackPressed ()

- Takes the user to previous activity

More...

void | confirm_checkout ()
void | checkoutSuccess (Long checkoutDateTime, int charges)
void | checkoutFailed ()
void | checkout (View view)

- Used to checkout

More...

void | reprint (View view)

- Reprints the ticket

More...

void | getTktDetails (View view)

- sets the class members with their respective values after fetcing from database

More...

void | getSlotDetails (View view)

- sets the class members with their respective values after fetcing from database for the given slot

More...

void | showTicketDetails (ArrayList data)

## Protected Member Functions

void | onCreate (Bundle savedInstanceState)

## Constructor & Destructor Documentation

## checkout()

void com.example.infiniteLoop.parkingo.checkout.checkout | ( | View | view | ) |

inline

- Used to checkout

Parameters

  - | view - view of the calling activity

Returns
  - void

## Member Function Documentation

## getSlotDetails()

void com.example.infiniteLoop.parkingo.checkout.getSlotDetails | ( | View | view | ) |

inline

- sets the class members with their respective values after fetcing from database for the given slot

Parameters

  - | view - view of the calling activity

Returns
  - void

## getTktDetails()

void com.example.infiniteLoop.parkingo.checkout.getTktDetails | ( | View | view | ) |

inline

- sets the class members with their respective values after fetcing from database

Parameters

  - | view - view of the calling activity

Returns
  - void

## onBackPressed()

void com.example.infiniteLoop.parkingo.checkout.onBackPressed | ( |  | ) |

inline

- Takes the user to previous activity

Parameters

  - | view - view of the calling activity

Returns
  - void

## reprint()

void com.example.infiniteLoop.parkingo.checkout.reprint | ( | View | view | ) |

inline

- Reprints the ticket

Parameters

  - | view - view of the calling activity

Returns
  - void

The documentation for this class was generated from the following file:

- /home/bhavesh/Desktop/cs699/parkingo/parkingo/source/app/src/main/java/com/example/infiniteLoop/parkingo/checkout.java